.list-of-links-item-details-container {
  display: flex;
  flex-wrap: wrap;
  border-top: 2px solid rgba(79, 193, 233, 1);
  padding: 8px;
  font-family: 'Rubik', sans-serif;
  >div {
    width: 100%;
    >div {
      width: 100%;
    }
  }
  .list-of-links-item-details-container__links_container,
  .list-of-links-item-details-container__add_link_container {
    width: 100%;
  }
  .list-of-links-item-details-container__links_container {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    .list-of-links-item-details-container__links_container__link_item {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      margin: 8px auto;
      .list-of-links-item-details-container__links_container__link_item__left_part {
        display: flex;
        width: 100%;
        flex-wrap: nowrap;
        height: 48px;
        border-radius: 4px;
        background-color: rgba(216, 216, 216, 0.12);
        margin-bottom: 8px;
        .list-of-links-item-details-container__links_container__link_item__left_part_number {
          font-size: 16px;
          font-weight: 500;
          display: flex;
          align-items: center;
          padding-left: 28px;
          padding-right: 10px;
          flex-shrink: 0;
          p {
            color: rgba(67, 74, 84, 0.8);
            font-weight: 500;
            margin: 0;
          }
        }
        .list-of-links-item-details-container__links_container__link_item__left_part_info {
          width: 100%;
          box-sizing: border-box;
          padding: 0 8px;
          display: flex;
          flex-wrap: wrap;
          align-content: center;
          overflow: hidden;
          .list-of-links-item-details-container__links_container__link_item__left_part_info__title_text,
          .list-of-links-item-details-container__links_container__link_item__left_part_info__title_container {
            width: 100%;
          }
          .list-of-links-item-details-container__links_container__link_item__left_part_info__title_text {
            margin-bottom: 4px;
            p {
              font-size: 10px;
              line-height: 12px;
              font-weight: 300;
              color: rgba(0, 0, 0, 0.8);
            }
          } 
          .list-of-links-item-details-container__links_container__link_item__left_part_info__title_container {
            height: 14px;
            overflow: hidden;
            textarea {
              font-family: 'Rubik', sans-serif;
              width: 100%;
              padding: 0;
              resize: none;
              border: none;
              outline: none;
              background-color: transparent;
              font-size: 12px;
              line-height: 14px;
              font-weight: 500;
              height: 14px;
              white-space: nowrap;
              text-overflow: ellipsis;
              overflow-x: hidden;
            } 
          }
        }
        .list-of-links-item-details-container__links_container__link_item__left_part_info.non-editable {
          .list-of-links-item-details-container__links_container__link_item__left_part_info__title_container {
            width: 100%;
            p {
              font-size: 12px;
              line-height: 14px;
              font-weight: 500;
              height: 14px;
              white-space: nowrap;
              text-overflow: ellipsis;
              overflow-x: hidden;
              padding: 0;
              margin: 0;
              width: 100%;
              cursor: not-allowed;
            }
          }
        }
      }
      .list-of-links-item-details-container__links_container__link_item__right_part {
        display: flex;
        width: 100%;
        flex-wrap: wrap;
        border-radius: 4px;
        background-color: rgba(216, 216, 216, 0.12);
        .list-of-links-item-details-container__links_container__link_item__right_part__heading {
          width: 100%;
          height: 48px;
          position: relative;
          box-sizing: border-box;
          display: flex;
          flex-wrap: nowrap;
          align-items: center;
          padding-right: 96px;
          margin-bottom: 2px;
          .list-of-links-item-details-container__links_container__link_item__right_part__heading__number {
            font-size: 16px;
            font-weight: 500;
            display: flex;
            align-items: center;
            padding-left: 28px;
            padding-right: 10px;
            flex-shrink: 0;
            color: rgba(67, 74, 84, 0.8);
          }
          .list-of-links-item-details-container__links_container__link_item__right_part__heading__link_text p {
            font-size: 10px;
            line-height: 12px;
            color: rgba(0, 0, 0, 0.8);
            font-weight: 300;
            padding-left: 8px;
            width: 100%;
            text-overflow: ellipsis;
          }
          button {
            border: none;
            outline: none;
            background-color: transparent;
            width: 48px;
            height: 48px;
            position: absolute;
            top: 0;
            right: 48px;
            padding: 0;
            cursor: pointer;
          }
          button:last-child {
            right: 0;
          
            &:hover,
            &:active,
            &.active {
              background-color: #d8d8d8;
            }
          }
        }
        .list-of-links-item-details-container__links_container__link_item__right_part__link_container {
          padding: 10px 8px;
          height: 48px;
          box-sizing: border-box;
          width: 100%;
          textarea {
            font-family: 'Rubik', sans-serif;
            width: 100%;
            resize: none;
            border: none;
            outline: none;
            background-color: transparent;
            font-size: 12px;
            line-height: 14px;
            font-weight: 500;
            height: 28px;
            text-overflow: ellipsis;
            overflow-x: hidden;
            padding: 0;
          }
        }
        .list-of-links-item-details-container__links_container__link_item__right_part__link_container.non-editable {
          overflow: hidden;
          a {
            display: block;
            font-family: 'Rubik', sans-serif;
            width: 100%;
            text-overflow: ellipsis;
            padding: 0;
            height: 28px;
            font-size: 12px;
            line-height: 14px;
            font-weight: 500;
            color: #4fc1e9;
            cursor: pointer;
            overflow: hidden;
            text-overflow: ellipsis;
          }
          a:hover,
          a:active {
            text-decoration: underline;
          }
        }
      }
    }
  }
  .list-of-links-item-details-container__add_link_container {
    width: 100%;
    display: flex;
    height: 48px;
    justify-content: flex-end;
    margin-bottom: 20px;
    .list-of-links-item-details-container__add_link_container__text {
      width: 100%;
      background-color: rgba(216, 216, 216, 0.12);
      position: relative;
      padding-right: 56px;
      display: flex;
      align-items: center;
      align-content: center;
      justify-content: flex-end;
      flex-wrap: wrap;
      button {
        width: 48px;
        height: 48px;
        position: absolute;
        right: 0;
        top: 0;
        border-radius: 4px;
        border: 0;
        outline: 0;
        cursor: pointer;
        padding: 0;
        background-color: transparent;
      }
      button:hover,
      button:active,
      button.active {
        background-color: rgba(216, 216, 216, 1);
      }
      p {
        color: rgba(0, 0, 0, 0.8);
        text-align: right;
        font-size: 10px;
        font-weight: 300;
        line-height: 11px;
        width: 80px;
        margin: 0;
        width: 100%;
      }
    }
  }
  
}
@media all and (min-width: 600px) {
  .list-of-links-item-details-container {
    padding: 22px 0 48px;
    margin: 0 24px;
    .list-of-links-item-details-container__links_container {
      .list-of-links-item-details-container__links_container__link_item {
        flex-wrap: nowrap;
        overflow: hidden;
        .list-of-links-item-details-container__links_container__link_item__left_part {
          height: 48px;
          width: 35%;
          max-width: 344px;
          background: none;
          flex-shrink: 0;
          .list-of-links-item-details-container__links_container__link_item__left_part_number {
            width: 48px;
            height: 48px;
            justify-content: center;
            align-items: center;
            padding: 0;
            flex-shrink: 0;
            flex-grow: 0;
            font-weight: 500;
          }
          .list-of-links-item-details-container__links_container__link_item__left_part_info {
            background-color: rgba(216, 216, 216, 0.12);
            border-radius: 4px;
            padding: 8px;
            .list-of-links-item-details-container__links_container__link_item__left_part_info__title_text {
              margin-bottom: 2px;
              p {
                font-size: 12px;
                line-height: 14px;
              }
            }
            .list-of-links-item-details-container__links_container__link_item__left_part_info__title_container {
              height: 16px;
              textarea {
                height: 16px;
                font-size: 14px;
                line-height: 16px;
                padding: 0;
              }
            }
          }
          .list-of-links-item-details-container__links_container__link_item__left_part_info.non-editable {
            .list-of-links-item-details-container__links_container__link_item__left_part_info__title_container {
              p {
                height: 16px;
                font-size: 14px;
                line-height: 16px;
                padding: 0;
              }
            }
          }
        }
        .list-of-links-item-details-container__links_container__link_item__right_part {
          width: 100%;
          padding-left: 8px;
          background: none;
          height: 48px;
          overflow: hidden;
          .list-of-links-item-details-container__links_container__link_item__right_part__heading {
            background-color: rgba(216, 216, 216, 0.12);
            border-radius: 4px 4px 0 0;
            height: 24px;
            margin: 0;
            .list-of-links-item-details-container__links_container__link_item__right_part__heading__number {
              display: none;
            }
            .list-of-links-item-details-container__links_container__link_item__right_part__heading__link_text {
              padding: 10px 0 0 8px;
              p {
                font-size: 12px;
                line-height: 14px;
                padding: 0;
              }
              button:last-child {
                border-radius: 0 4px 4px 0;
                overflow: hidden;
              }
            }
          }
          .list-of-links-item-details-container__links_container__link_item__right_part__link_container {
            padding: 2px 104px 7px 8px;
            height: 24px;
            background-color: rgba(216, 216, 216, 0.12);
            border-radius: 0 0 4px 4px;
            textarea {
              font-size: 14px;
              line-height: 14px;
              white-space: nowrap;
              height: 15px;
            }
          }
          .list-of-links-item-details-container__links_container__link_item__right_part__link_container.non-editable {
            padding: 2px 8px 7px 8px;
            a {
              font-size: 14px;
              line-height: 14px;
              white-space: nowrap;
              height: 15px;
              overflow: hidden;
              text-overflow: ellipsis;
            }
          }
        }
      }
    }
    .list-of-links-item-details-container__add_link_container {
      justify-content: flex-start;
      padding-left: 48px;
      border-radius: 4px;
      margin: 0;
      .list-of-links-item-details-container__add_link_container__text {
        box-sizing: border-box;
        max-width: 184px;
        p {
          font-size: 12px;
          line-height: 13px;
        }
      }
    }
  }
}